Skip to main content
GET
/
oauth
/
{platform}
/
authorize
Get OAuth authorization URL
curl --request GET \
  --url https://app.autoposting.ai/api-proxy/oauth/{platform}/authorize \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "authorizationUrl": "https://www.linkedin.com/oauth/v2/authorization?client_id=...&state=abc123",
    "state": "abc123"
  }
}

Authorizations

Authorization
string
header
required

API key as Authorization: Bearer sk-social-...

Path Parameters

platform
enum<string>
required

Platform to authorize.

Available options:
x,
linkedin,
instagram,
threads,
youtube
Example:

"linkedin"

Query Parameters

brandSlug
string
required

Brand to associate the connected account with.

Example:

"acme-corp"

redirectUri
string
required

Your application's OAuth callback URL. Must be registered in the platform's developer settings.

Example:

"https://app.acme.com/oauth/callback"

Response

Authorization URL.

success
boolean
Example:

true

data
object

Authorization URL and CSRF state for the OAuth redirect flow.